Indications
===========

Posix threads
-------------
1. Read the source code in the files Hello_threads.c and Hello_tasks.c.
2. Modify the fibo.c file to parallelize it with pthreads and compare performance.

### Optional 1
3. Paralelize the reduction algorithms (serial and/or recursive) with pthreads.


OpenMP Tasks
------------
1. Compile Hello_tasks.c. with and without the OpenMP compilation flag and check the differences in behavior.
2. Modify the fibo.c file to parallelize it with tasks and compare performance.
3. Paralelize the reduction recursive algorithm with tasks.

### Optional 2
4. Paralelize the reduction serial algorithm with tasks and compare the result with normal OpenMP.
