#define _MULTI_THREADED
#include <stdio.h>
#include <omp.h>
#include <unistd.h>

#include <pthread.h>

void *function1(){
	printf("Hello from function1, thread %u\n",pthread_self());
	sleep(5);
	printf("Bye from function1\n");
}

void *function2(){
	printf("Hello from function2, thread %u\n",pthread_self());
	sleep(5);
	printf("Bye from function 2\n");
}

int main(int argc, char **argv){

	pthread_t pthread1, pthread2;

	pthread_create(&pthread1, NULL, *function1, NULL);
	pthread_create(&pthread2, NULL, *function2, NULL);

	printf("Thread1 = %u and Thread2 = %u\n",pthread1, pthread2);

	pthread_join(pthread1, NULL);
	pthread_join(pthread2, NULL);

	return 0;
}
